
#!/bin/bash

# Set variables
IMAGE_NAME="ssvc-rimsting-vote"
TAG="latest"
GITEA_DOMAIN="git.jeanavril.com"
GITEA_USER="jean"

# Build the Docker image
echo "Building Docker image: ${IMAGE_NAME}:${TAG}"
docker build -t ${IMAGE_NAME}:${TAG} --provenance=false .

# Check if build was successful
if [ $? -eq 0 ]; then
  echo "Docker image built successfully!"

  # Tag the image for Gitea
  echo "Tagging image for Gitea: ${GITEA_DOMAIN}/${GITEA_USER}/${IMAGE_NAME}:${TAG}"
  docker tag ${IMAGE_NAME}:${TAG} ${GITEA_DOMAIN}/${GITEA_USER}/${IMAGE_NAME}:${TAG}

  # Push the image to Gitea
  echo "Pushing image to Gitea..."
  docker push ${GITEA_DOMAIN}/${GITEA_USER}/${IMAGE_NAME}:${TAG}

  echo "Image pushed successfully!"
else
  echo "Error building Docker image"
  exit 1
fi
# docker tag ssvc-rimsting-vote:latest git.jeanavril.com/jean/ssvc-rimsting-vote:latest
# docker push git.jeanavril.com/jean/ssvc-rimsting-vote:latest