
import { ReactNode } from 'react';
import '@/app/globals.css';
import type { Metadata } from 'next';

// Define metadata for the iframe page
export const metadata: Metadata = {
    title: 'SSVC Rimsting Abstimmung',
    description: 'Abstimmungsseite des Schafwaschener Segelverein Rimsting',
};

// This is a minimal layout for iframe embedding without headers or footers
export default function IframeLayout({ children }: { children: ReactNode }) {
    return (
        <html lang="de">
            <body className="bg-white">
                <div className="iframe-content">
                    {children}
                </div>
            </body>
        </html>
    );
}
